Click on the latest release version number to download that version.
(But it's usually better to do (ql:quickload "library-name").)

Unfortunately, with-shadowed-bindings was mistakenly
added to Quicklisp as shadowed-bindings.
This should be fixed next month.